Package be.ehealth.technicalconnector.config.impl

# Class RecursiveProperties

java.lang.Object
java.util.Dictionary<Object,Object>
java.util.Hashtable<Object,Object>
java.util.Properties
be.ehealth.technicalconnector.config.impl.RecursiveProperties

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<Object,Object>`

public class RecursiveProperties extends Properties
`Properties` with lookup features for property resolutions
- `RecursiveProperties.RecursiveLookup`
: Replacing the placeholder ${ `String` with the value of the property inside the placeholder.
- `RecursiveProperties.UddiLookup`:Replacing the placehlolder $uddi{ `String` with the corresponding UDDI entry.
- `RecursiveProperties.SystemLookup`: Replacing the placeholder $system{`String` with the corresponding `System.getProperty(String)`

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RecursiveProperties()`
  `RecursiveProperties(boolean load)`
  `RecursiveProperties(InputStream... uddiStreams)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getProperty(String key)`
  `String`
  `getProperty(String key, String defaultValue)`
  `Enumeration<Object>`
  `keys()`

  ### Methods inherited from class java.util.Properties

  `clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, list, list, load, load, loadFromXML, merge, propertyNames, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, save, setProperty, size, store, store, storeToXML, storeToXML, storeToXML, stringPropertyNames, toString, values`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RecursiveProperties

    public RecursiveProperties(InputStream... uddiStreams)

  - ### RecursiveProperties

    public RecursiveProperties(boolean load) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### RecursiveProperties

    public RecursiveProperties() throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

- ## Method Details

  - ### keys

    public Enumeration<Object> keys()
    Overrides:
      `keys` in class `Properties`

  - ### getProperty

    public String getProperty(String key, String defaultValue)
    Overrides:
      `getProperty` in class `Properties`

  - ### getProperty

    public String getProperty(String key)
    Overrides:
      `getProperty` in class `Properties`